package types

import "gitp78su.ipnodns.ru/svi/goarch/lev0/alias"

// IViewSize -- интерфейс для размера
type IViewSize interface {
	// Get -- возвращает размер
	Get() (alias.SizeX, alias.SizeY)
	// Int -- возвращает размер
	Int() (int, int)
	// W -- возвращает размер по Х
	W() alias.SizeX
	// H -- возвращает размер по Y
	H() alias.SizeY
	// SelfCheck -- проверяет корректность размера
	SelfCheck()
	// String -- возвращает строковое представление
	String() string
}
